ttdnsd - The Tor TCP DNS Daemon

Supported platforms:
    Debian Gnu/Linux 5.0
    Ubuntu 10.4 (and probably earlier)
    Probably other Linux{es,en}
    NetBSD
    Mac OS X

Currently unsupported platforms:
    Windows
    Plan 9

Basic setup (as root) by hand:
 1) mkdir /var/lib/ttdnsd
 2) cp /etc/tsocks.conf /var/lib/ttdnsd
 3) cp ttdnsd.conf /var/lib/ttdnsd
 4) TSOCKS_CONF_FILE=tsocks.conf ttdnsd -b 127.0.0.1 -p 53 \
                     -P /var/lib/ttdnsd/pid

Or use the Makefile:
 0) make install
 1) TSOCKS_CONF_FILE=tsocks.conf ttdnsd -b 127.0.0.1 -p 53 \
                     -P /var/lib/ttdnsd/pid

More details at:

    https://www.torproject.org/ttdnsd/

The Current development git tree can be found here:

    https://gitweb.torproject.org/ioerror/ttdnsd.git
